Bug 296928 - Plasmoid should raise hidden panels
Summary: Plasmoid should raise hidden panels
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: chat-plasmoid (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 21:57 UTC by Emil Sedgh
Modified: 2013-02-21 12:58 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Sedgh 2012-03-27 21:57:27 UTC
When a new message comes, the plasmoid should raise the hidden panels. Otherwise, users of panels which hide automatically, will not notice new messages when having a conversation.

(You can click on your panel's cashew->More Settings->Auto-hide to enable hidden panels)
Comment 1 David Edmundson 2012-03-27 22:13:46 UTC
Need to talk to plasma upstream in order to be able to do this.
Comment 2 Daniele E. Domenichelli 2012-04-17 15:24:44 UTC
If you manage to do this, I suggest not to raise the hidden panel if the user is busy, dnd, etc
Comment 3 Aleix Pol 2013-02-20 03:19:02 UTC
http://techbase.kde.org/Development/Tutorials/Plasma/QML/API#AppletContainer

we should look into this...
Comment 4 Aleix Pol 2013-02-21 12:57:52 UTC
Git commit e682d7558adf3027aada70f62b7612ec2cbec4fa by Aleix Pol.
Committed on 21/02/2013 at 13:56.
Pushed by apol into branch 'master'.

Add ConversationsModel::totalUnreadCount property

Adds a property to the ConversationsModel to tell how many unread messages
we have.

REVIEW: 109073

M  +12   -0    KTp/Declarative/conversations-model.cpp
M  +7    -0    KTp/Declarative/conversations-model.h

http://commits.kde.org/telepathy-common-internals/e682d7558adf3027aada70f62b7612ec2cbec4fa
Comment 5 Aleix Pol 2013-02-21 12:58:06 UTC
Git commit 07c4d17efb852f8cac9944a8269d6257ad66bc03 by Aleix Pol.
Committed on 21/02/2013 at 13:56.
Pushed by apol into branch 'master'.

Figure out the chat plasmoid state

Tell the plasmoid state given the open conversations and the unread
messages.

REVIEW: 109072

M  +17   -0    chat/org.kde.ktp-chat/contents/ui/main.qml

http://commits.kde.org/telepathy-contact-applet/07c4d17efb852f8cac9944a8269d6257ad66bc03